Redmine - Feature #20689

Ability to set properties during repository creation (SVN reposman)
2015-09-07 12:18 - Pavel Potcheptsov

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM extra Estimated time: 0.00 hour
Target version:

Resolution:

Description

There is feature for Referencing issues in commit messages.

Let's say I'd like to add some properties during repository creation to highlight the issue's URL or keywords from above feature in
TortoiseSVN commit dialogue window in log message.
To achieve result as on picture above | need to set such changes in my working copy and commit changes:

- svn propset bugtraq:url "http://redmine.com/issues/%BUGID%" .

- svn propset bugtraqg:logregex "([Rrlefs #\d+)|([Fflixes #\d+) (\d+)"

There should be extra option in reposman.rb to accept new optional argument, say --propset. This argument have to point to text file
with properties defined.

Then we execute:

ruby reposman.rb --redmine my.redmine.host \
—--svn-dir /var/svn —--owner www—data \

—--url http://my.svn.server/svn/ \
——key=my_api_key \

——propset /root/repositorysettings.txt

and /root/repositorysettings.txt contains:

bugtraq:url "http://redmine.com/issues/%$BUGIDS" .
bugtraqg:logregex " ([Rr]lefs #\d+) | ([Fflixes #\d+) (\d+)"
https://www.redmine.org/projects/redmine/wiki/RedmineSettings#Referencing-issues-in-commit-messages
http://tortoisesvn.net/docs/nightly/TortoiseSVN_en/tsvn-dug-bugtracker.html

History

#1 - 2015-10-07 04:30 - Toshi MARUYAMA
- Description updated

#2 - 2015-10-07 04:35 - Toshi MARUYAMA
- Subject changed from Ability to set properties during repository creation to Ability to set properties during repository creation (SVN reposman)

- Category changed from SCM to SCM extra

Files

propset.png 9.98 KB 2015-09-07 Pavel Potcheptsov

2025-05-02 22


http://www.tcpdf.org

